package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 续约白名单类型
 */
@AllArgsConstructor
@Getter
public enum EAgreementWhiteType {

    /**
     * 自动续约
     */
    AUTO_RENEW(1, "自动续约", 0),

    /**
     * 休止期使用钱包
     */
    USE_WALLET(2, "休止期使用钱包", 0),

    /**
     * 续约免实名
     */
    RENEW_NOT_REAL(3, "续约免实名", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

}
